Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
ezups Class Reference

## Public Member Functions
| ezupsser ($id="", $service=01, $state=false, $zip=false, $country=false, $totarr=false)
| get ()
| getservices ($sta, $cou)
| getxml ($service)
| _get_xml_array ($data)
| __get_xml_array ($values, &$i)
| get_rates ()
| setservice ($uid, $value)
| getservice ($uid)

## Public Attributes
| $resultArray = array()
| $xmlarray = array()
| $xml = ""
| $adminstate = ""
| $adminzip = ""
| $admincountry = ""
| $userups = ""
| $accessups = ""
| $passups = ""
| $flatservice = ""
| $service = ""
| $state = ""
| $zip = ""
| $country = ""
| $totalarr = ""
| $residential = ""
| $package_type = ""
| $emptyarr = ""
| $addamount = ""
| $ID = ""
| $result = ""
| $request = ""
| $i = 0

## Detailed Description

Definition at line 10 of file ezupsservice.php.

## Member Function Documentation

## ◆ __get_xml_array()

ezups::__get_xml_array | ( |  | $values,
|  | & | $i
| ) |  |

Definition at line 369 of file ezupsservice.php.

References $i, $name, $size, and $values.

Referenced by _get_xml_array().

## ◆ _get_xml_array()

ezups::_get_xml_array | ( |  | $data | ) |

Definition at line 336 of file ezupsservice.php.

References $i, $index, $name, $values, and __get_xml_array().

Referenced by getxml().

## ◆ ezupsser()

ezups::ezupsser | ( |  | $id = `""`,
|  |  | $service = `01`,
|  |  | $state = `false`,
|  |  | $zip = `false`,
|  |  | $country = `false`,
|  |  | $totarr = `false`
| ) |  |

Definition at line 34 of file ezupsservice.php.

References $country, $id, $ini, $service, $state, and $zip.

## ◆ get()

ezups::get | ( |  | ) |

Definition at line 61 of file ezupsservice.php.

References $country, $id, $ID, $service, $state, $totalarr, $zip, and getservices().

## ◆ get_rates()

ezups::get_rates | ( |  | ) |

Definition at line 422 of file ezupsservice.php.

References $addamount, $current, $i, and $values.

Referenced by getxml().

## ◆ getservice()

ezups::getservice | ( |  | $uid | ) |

Definition at line 505 of file ezupsservice.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ getservices()

ezups::getservices | ( |  | $sta,
|  |  | $cou
| ) |  |

Definition at line 73 of file ezupsservice.php.

References $emptyarr, $ini, and getxml().

Referenced by get().

## ◆ getxml()

ezups::getxml | ( |  | $service | ) |

Definition at line 121 of file ezupsservice.php.

References $admincountry, $adminstate, $adminzip, $count, $flatservice, $height, $i, $j, $resultArray, $service, $totalarr, $values, $width, $xml, _get_xml_array(), error(), and get_rates().

Referenced by getservices().

## ◆ setservice()

ezups::setservice | ( |  | $uid,
|  |  | $value
| ) |  |

Definition at line 473 of file ezupsservice.php.

References $db, $query, $res, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $accessups

ezups::$accessups = ""

Definition at line 18 of file ezupsservice.php.

## ◆ $addamount

ezups::$addamount = ""

Definition at line 29 of file ezupsservice.php.

Referenced by get_rates().

## ◆ $admincountry

ezups::$admincountry = ""

Definition at line 16 of file ezupsservice.php.

Referenced by getxml().

## ◆ $adminstate

ezups::$adminstate = ""

Definition at line 14 of file ezupsservice.php.

Referenced by getxml().

## ◆ $adminzip

ezups::$adminzip = ""

Definition at line 15 of file ezupsservice.php.

Referenced by getxml().

## ◆ $country

ezups::$country = ""

Definition at line 24 of file ezupsservice.php.

Referenced by ezupsser(), and get().

## ◆ $emptyarr

ezups::$emptyarr = ""

Definition at line 28 of file ezupsservice.php.

Referenced by getservices().

## ◆ $flatservice

ezups::$flatservice = ""

Definition at line 20 of file ezupsservice.php.

Referenced by getxml().

## ◆ $i

ezups::$i = 0

Definition at line 33 of file ezupsservice.php.

Referenced by __get_xml_array(), _get_xml_array(), get_rates(), and getxml().

## ◆ $ID

ezups::$ID = ""

Definition at line 30 of file ezupsservice.php.

Referenced by get().

## ◆ $package_type

ezups::$package_type = ""

Definition at line 27 of file ezupsservice.php.

## ◆ $passups

ezups::$passups = ""

Definition at line 19 of file ezupsservice.php.

## ◆ $request

ezups::$request = ""

Definition at line 32 of file ezupsservice.php.

## ◆ $residential

ezups::$residential = ""

Definition at line 26 of file ezupsservice.php.

## ◆ $result

ezups::$result = ""

Definition at line 31 of file ezupsservice.php.

## ◆ $resultArray

ezups::$resultArray = array()

Definition at line 11 of file ezupsservice.php.

Referenced by getxml().

## ◆ $service

ezups::$service = ""

Definition at line 21 of file ezupsservice.php.

Referenced by ezupsser(), get(), and getxml().

## ◆ $state

ezups::$state = ""

Definition at line 22 of file ezupsservice.php.

Referenced by ezupsser(), and get().

## ◆ $totalarr

ezups::$totalarr = ""

Definition at line 25 of file ezupsservice.php.

Referenced by get(), and getxml().

## ◆ $userups

ezups::$userups = ""

Definition at line 17 of file ezupsservice.php.

## ◆ $xml

ezups::$xml = ""

Definition at line 13 of file ezupsservice.php.

Referenced by getxml().

## ◆ $xmlarray

ezups::$xmlarray = array()

Definition at line 12 of file ezupsservice.php.

## ◆ $zip

ezups::$zip = ""

Definition at line 23 of file ezupsservice.php.

Referenced by ezupsser(), and get().

The documentation for this class was generated from the following file:

- ezupsservice.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.